Bug 706294 - sqlite doesn't compile on arm 5tel
sqlite doesn't compile on arm 5tel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-05-19 19:10 EDT by Peter Robinson
Modified: 2011-08-06 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 14:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] Do not let the ARM port fail building due to errors while running %check (959 bytes, patch)
2011-05-21 08:44 EDT, Niels de Vos
no flags Details | Diff

  None (edit)
Description Peter Robinson 2011-05-19 19:10:04 EDT
sqlite 3.6.23.1 fails to build on the armv5tel for the arm f14 port. this is a regressions from 3.6.22 which builds fine.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=94059

Memory used:          now          8  max      94512  max-size    1000002
Page-cache used:      now          0  max         13  max-size       4096
Page-cache overflow:  now          0  max    2818256
Scratch memory used:  now          0  max          0
Scratch overflow:     now          0  max      33080  max-size      33080
110 errors out of 90695 tests
Failures on these tests: rtree2-rtree_i32.1.3 rtree2-rtree_i32.1.5.0.2 rtree2-rtree_i32.1.5.10.2 rtree2-rtree_i32.1.5.20.2 rtree2-rtree_i32.1.5.30.2 rtree2-rtree_i32.1.5.40.2 rtree2-rtree_i32.1.5.50.2 rtree2-rtree_i32.1.5.60.2 rtree2-rtree_i32.1.5.70.2 rtree2-rtree_i32.1.5.80.2 rtree2-rtree_i32.1.5.90.2 rtree2-rtree_i32.2.3 rtree2-rtree_i32.2.5.0.2 rtree2-rtree_i32.2.5.10.2 rtree2-rtree_i32.2.5.20.2 rtree2-rtree_i32.2.5.30.2 rtree2-rtree_i32.2.5.40.2 rtree2-rtree_i32.2.5.50.2 rtree2-rtree_i32.2.5.60.2 rtree2-rtree_i32.2.5.70.2 rtree2-rtree_i32.2.5.80.2 rtree2-rtree_i32.2.5.90.2 rtree2-rtree_i32.3.3 rtree2-rtree_i32.3.5.0.2 rtree2-rtree_i32.3.5.10.2 rtree2-rtree_i32.3.5.20.2 rtree2-rtree_i32.3.5.30.2 rtree2-rtree_i32.3.5.40.2 rtree2-rtree_i32.3.5.50.2 rtree2-rtree_i32.3.5.60.2 rtree2-rtree_i32.3.5.70.2 rtree2-rtree_i32.3.5.80.2 rtree2-rtree_i32.3.5.90.2 rtree2-rtree_i32.4.3 rtree2-rtree_i32.4.5.0.2 rtree2-rtree_i32.4.5.10.2 rtree2-rtree_i32.4.5.20.2 rtree2-rtree_i32.4.5.30.2 rtree2-rtree_i32.4.5.40.2 rtree2-rtree_i32.4.5.50.2 rtree2-rtree_i32.4.5.60.2 rtree2-rtree_i32.4.5.70.2 rtree2-rtree_i32.4.5.80.2 rtree2-rtree_i32.4.5.90.2 rtree2-rtree_i32.5.3 rtree2-rtree_i32.5.5.0.2 rtree2-rtree_i32.5.5.10.2 rtree2-rtree_i32.5.5.20.2 rtree2-rtree_i32.5.5.30.2 rtree2-rtree_i32.5.5.40.2 rtree2-rtree_i32.5.5.50.2 rtree2-rtree_i32.5.5.60.2 rtree2-rtree_i32.5.5.70.2 rtree2-rtree_i32.5.5.80.2 rtree2-rtree_i32.5.5.90.2 rtree2-rtree.1.3 rtree2-rtree.1.5.0.2 rtree2-rtree.1.5.10.2 rtree2-rtree.1.5.20.2 rtree2-rtree.1.5.30.2 rtree2-rtree.1.5.40.2 rtree2-rtree.1.5.50.2 rtree2-rtree.1.5.60.2 rtree2-rtree.1.5.70.2 rtree2-rtree.1.5.80.2 rtree2-rtree.1.5.90.2 rtree2-rtree.2.3 rtree2-rtree.2.5.0.2 rtree2-rtree.2.5.10.2 rtree2-rtree.2.5.20.2 rtree2-rtree.2.5.30.2 rtree2-rtree.2.5.40.2 rtree2-rtree.2.5.50.2 rtree2-rtree.2.5.60.2 rtree2-rtree.2.5.70.2 rtree2-rtree.2.5.80.2 rtree2-rtree.2.5.90.2 rtree2-rtree.3.3 rtree2-rtree.3.5.0.2 rtree2-rtree.3.5.10.2 rtree2-rtree.3.5.20.2 rtree2-rtree.3.5.30.2 rtree2-rtree.3.5.40.2 rtree2-rtree.3.5.50.2 rtree2-rtree.3.5.60.2 rtree2-rtree.3.5.70.2 rtree2-rtree.3.5.80.2 rtree2-rtree.3.5.90.2 rtree2-rtree.4.3 rtree2-rtree.4.5.0.2 rtree2-rtree.4.5.10.2 rtree2-rtree.4.5.20.2 rtree2-rtree.4.5.30.2 rtree2-rtree.4.5.40.2 rtree2-rtree.4.5.50.2 rtree2-rtree.4.5.60.2 rtree2-rtree.4.5.70.2 rtree2-rtree.4.5.80.2 rtree2-rtree.4.5.90.2 rtree2-rtree.5.3 rtree2-rtree.5.5.0.2 rtree2-rtree.5.5.10.2 rtree2-rtree.5.5.20.2 rtree2-rtree.5.5.30.2 rtree2-rtree.5.5.40.2 rtree2-rtree.5.5.50.2 rtree2-rtree.5.5.60.2 rtree2-rtree.5.5.70.2 rtree2-rtree.5.5.80.2 rtree2-rtree.5.5.90.2
All memory allocations freed - no leaks
Memory used:          now          0  max      94512  max-size    1000002
Page-cache used:      now          0  max         13  max-size       4096
Page-cache overflow:  now          0  max    2818256
Scratch memory used:  now          0  max          0
Scratch overflow:     now          0  max      33080  max-size      33080
Maximum memory usage: 94512 bytes
Current memory usage: 0 bytes
Number of malloc()  : -1 calls
RPM build errors:
make: *** [test] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.uOVbuX (%check)
    Bad exit status from /var/tmp/rpm-tmp.uOVbuX (%check)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target armv5tel --nodeps builddir/build/SPECS/sqlite.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/util.py", line 324, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target armv5tel --nodeps builddir/build/SPECS/sqlite.spec']
LEAVE do --> EXCEPTION RAISED
Comment 1 Niels de Vos 2011-05-21 08:44:07 EDT
Created attachment 500185 [details]
[PATCH] Do not let the ARM port fail building due to errors while running %check


s390 and ppc also fail in %check but do not abort building. The ARM port
can do the same.

Resolves: #706294
Signed-off-by: Niels de Vos <devos@fedoraproject.org>
---
 sqlite.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)
Comment 2 Peter Robinson 2011-05-23 14:06:39 EDT
Build fixed in git for rawhide/F-15/F-14.

Note You need to log in before you can comment on or make changes to this bug.